# Uses of Interface
org.springframework.web.servlet.function.ServerResponse.StreamBuilder

Packages that use ServerResponse.StreamBuilder
Package
Description
org.springframework.web.servlet.function
Provides the types that make up Spring's functional web framework for Servlet environments.

## Uses of ServerResponse.StreamBuilder in org.springframework.web.servlet.function

Methods in org.springframework.web.servlet.function that return ServerResponse.StreamBuilder
Modifier and Type
Method
Description
`ServerResponse.StreamBuilder`
ServerResponse.StreamBuilder.`onComplete(Runnable onCompletion)`
Register a callback to be invoked when the request completes.
`ServerResponse.StreamBuilder`
ServerResponse.StreamBuilder.`onError(Consumer<Throwable> onError)`
Register a callback to be invoked when an error occurs during processing.
`ServerResponse.StreamBuilder`
ServerResponse.StreamBuilder.`onTimeout(Runnable onTimeout)`
Register a callback to be invoked when a request times out.
`ServerResponse.StreamBuilder`
ServerResponse.StreamBuilder.`write(Object object)`
Write the given object to the response stream, without flushing.
`ServerResponse.StreamBuilder`
ServerResponse.StreamBuilder.`write(Object object, org.springframework.http.MediaType mediaType)`
Write the given object to the response stream, without flushing.
Method parameters in org.springframework.web.servlet.function with type arguments of type ServerResponse.StreamBuilder
Modifier and Type
Method
Description
`ServerResponse`
ServerResponse.BodyBuilder.`stream(Consumer<ServerResponse.StreamBuilder> streamConsumer)`
Create a low-level streaming response; for SSE support, see `ServerResponse.sse(Consumer)`.